VisualEditor: Deleting the slug a floated image appears in deletes the image… but retains the caption as a paragraph
Closed, ResolvedPublic

Description

Deleting leading newline destroys [[File:....]]

Steps to reproduce:

  1. Open a page with [[File:...]] as first line
  1. VE adds a leading newline into the edit window
  1. Delete this leading newline because for experienced editor it looks superfluous
  1. Save

Result: [[File:...]] syntax is destroyed, only the caption is left.


Version: unspecified
Severity: normal
URL: https://test.wikipedia.org/w/index.php?title=User:Raymond/image&diff=174494&oldid=174493

bzimport set Reference to bz49645.
Raymond created this task.Via LegacyJun 16 2013, 5:46 PM
Jdforrester-WMF added a comment.Via ConduitJun 17 2013, 2:58 AM

Deleting the slug a floated item is locked into is "designed" to delete the item, so this is expected behaviour. See bug 43026 for a wider discussion - we need a better UX concept around here, I feel.

However, leaving the caption there is... not meant to happen. Re-purposing.

Ryasmeen added a comment.Via ConduitNov 9 2013, 12:42 AM

I cannot reproduce it now. Looks like it got fixed. Therefore, changing the status to resolved-fixed .
Reopen it if you think it still exists.

Jdforrester-WMF added a comment.Via ConduitNov 9 2013, 1:03 AM

Backdating to when I *think* we fixed this.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.